/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strlcpy.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tmaze <tmaze@student.42.fr>                +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2018/04/09 11:55:11 by tmaze             #+#    #+#             */
/*   Updated: 2018/04/09 13:27:12 by tmaze            ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

size_t	ft_strlcpy(char	*restrict dst, const char *restrict src, size_t size)
{
	size_t src_len;

	src_len = (size_t)ft_strlen(src);
	dst = ft_strncpy(dst, src, (src_len > size) ? size : src_len);
	dst[(src_len > size) ? size - 1 : src_len] = '\0';
	return (ft_strlen(src));
}
